package com.sqx.modules.message.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.sqx.common.utils.PageUtils;
import com.sqx.common.utils.Result;
import com.sqx.modules.message.entity.MessageInfo;
import org.apache.ibatis.annotations.Param;
import org.springframework.web.bind.annotation.RequestAttribute;

import java.util.Map;

public interface MessageService extends IService<MessageInfo> {

    Result selectCityList(Integer page,Integer limit,String content);

    Result auditMessage(String ids, Integer status, String auditContent);

    PageUtils selectMessageList(Map<String,Object> params);

    PageUtils selectMessageLists(Map<String,Object> params);

    int saveBody(MessageInfo messageInfo);

    Result insertArtificerLocation(MessageInfo messageInfo);

    int update(MessageInfo messageInfo);

    int delete(Long id);

    MessageInfo selectMessageById(Long id);

    int updateSendState(Long userId,Integer state);

    MessageInfo selectMessageByUserIdAndTime(Long userId,String time);

    Result selectSignList(Integer page,Integer limit,String address,String phone,Long userId);

    Result selectArtificerLocation(Integer page,Integer limit,String artificerName,String phone,Long userId);

    Result selectArtificerScoreList(Integer page,Integer limit,String artificerName,String phone,Long userId);

    void sendNoticeByCall(Long userId);

}
